<?php

namespace  Monstaddons\Core\Widgets\Content;

if (!defined('ABSPATH')) {
    exit;
} // If this file is called directly, abort.

class Title_v1 extends \Elementor\Widget_Base
{

    public function get_name()
    {
        return 'monst-title-v1';
    }

    public function get_title()
    {
        return __('Title V1', 'monst-addons');
    }

    public function get_icon()
    {
        return 'icon-monst-svg';
    }

    public function get_categories()
    {
        return ['102'];
    }

    protected function register_controls(){
 
        // style one start
        $this->start_controls_section('title_v1_settings',
        [ 
            'label' => __('Title Content', 'monst-addons'),
            'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
        ]
        ); 
        $this->add_control(
            'tag_choose',
            [
            'label' => __('Choose Tag', 'monst-addons'),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => [
                'h1tag' => __( 'H1 Tag', 'monst-addons' ),
                'h2tag' => __( 'H2 Tag', 'monst-addons' ),
                'h3tag' => __( 'H3 Tag', 'monst-addons' ),
                'h4tag' => __( 'H4 Tag', 'monst-addons' ),
                'h5tag' => __( 'H5 Tag', 'monst-addons' ),
                'h6tag' => __( 'H6 Tag', 'monst-addons' ),
                'divtag' => __( 'Div Tag', 'monst-addons' ),
            ],
            'default' => __('divtag' , 'monst-addons'),
            ]
        );

        $this->add_responsive_control(
            'sm_title',
            [
               'label' => __('Sub Title', 'monst-addons'),
               'type' => \Elementor\Controls_Manager::TEXTAREA,
               'default' => __('Our performance', 'monst-addons'),
               'placeholder' => __('Type your text here', 'monst-addons'),    
            ]
        );
         
        $this->add_responsive_control(
          'title',
          [
             'label' => __('Title', 'monst-addons'),
             'type' => \Elementor\Controls_Manager::TEXTAREA,
             'default' => __('Your Partner for e-commerce grocery solution', 'monst-addons'),
             'placeholder' => __('Type your text here', 'monst-addons'),    
          ]
        );
        $this->add_responsive_control(
            'description',
            [
              'label' => __('Description', 'monst-addons'),
              'type' => \Elementor\Controls_Manager::TEXTAREA,
              'default' => __('Pitatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia', 'monst-addons'),
              'placeholder' => __('Type your text here', 'monst-addons'),
            ]
        );

     
     
        $this->end_controls_section();


        $this->start_controls_section('title_css',
        [ 
            'label' => __('Title Css', 'monst-addons'),
            'tab' =>\Elementor\Controls_Manager::TAB_STYLE,
        ]
        );

        $this->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			[
                'label' => esc_html__( 'Sub Title Typography', 'monst-addons' ),
				'name' => 'sm_typo',
				'selector' => '{{WRAPPER}} .section_title h4',
			]
		);
        $this->add_control(
            'sm_title_color',
             [
                'label' => __('Sub Title Color', 'monst-addons'),
                'type' => \Elementor\Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .section_title h4 ' => 'color: {{VALUE}}!important;',
                ],
             ]
        );
        $this->add_control(
            'sm_title_bg_color',
             [
                'label' => __('Sub Title Bg Color', 'monst-addons'),
                'type' => \Elementor\Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .section_title h4 ' => 'background: {{VALUE}}!important;',
                ],
             ]
        );
        $this->add_control(
			'sm_margin',
			[
				'label' => esc_html__( 'Sub Title Margin', 'monst-addons' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => [ 'px', '%', 'em' ],
				'selectors' => [
					'{{WRAPPER}} .section_title h4 ' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}}!important;',
				],
			]
		);

        $this->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			[
                'label' => esc_html__( 'Title Typography', 'monst-addons' ),
				'name' => 'title_typo',
				'selector' => '{{WRAPPER}} .section_title .title ',
			]
		);
        $this->add_control(
            'title_color',
             [
                'label' => __('Title Color', 'monst-addons'),
                'type' => \Elementor\Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .section_title .title' => 'color: {{VALUE}}!important;',
                ],
             ]
        );
        $this->add_control(
            'title_span_color',
             [
                'label' => __('Title Span Color', 'monst-addons'),
                'type' => \Elementor\Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .section_title .title span' => 'color: {{VALUE}}!important;',
                ],
             ]
        );
        $this->add_control(
			'title_margin',
			[
				'label' => esc_html__( 'Title Margin', 'monst-addons' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => [ 'px', '%', 'em' ],
				'selectors' => [
					'{{WRAPPER}} .section_title .title ' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}}!important;',
				],
			]
		);
        $this->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			[
                'label' => esc_html__( ' Description Typography', 'monst-addons' ),
				'name' => 'desc_typo',
				'selector' => '{{WRAPPER}} .section_title p',
			]
		);
        $this->add_control(
            'description_color',
             [
                'label' => __('Description Color', 'monst-addons'),
                'type' => \Elementor\Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .section_title p ' => 'color: {{VALUE}}!important;',
                ],
             ]
        );
        $this->add_control(
			'description_margin',
			[
				'label' => esc_html__( 'Description Margin', 'monst-addons' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => [ 'px', '%', 'em' ],
				'selectors' => [
					'{{WRAPPER}} .section_title p ' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}}!important;',
				],
			]
		);
      


        $this->add_responsive_control(
			'text_align',
			[
				'label' => esc_html__( 'Alignment', 'monst-addons' ),
				'type' => \Elementor\Controls_Manager::CHOOSE,
				'options' => [
					'left' => [
						'title' => esc_html__( 'Left', 'monst-addons' ),
						'icon' => 'fa fa-align-left',
					],
					'center' => [
						'title' => esc_html__( 'Center', 'monst-addons' ),
						'icon' => 'fa fa-align-center',
					],
					'right' => [
						'title' => esc_html__( 'Right', 'monst-addons' ),
						'icon' => 'fa fa-align-right',
					],
				],
				'default' => 'center',
				'toggle' => true,
                'selectors' => [
                    '{{WRAPPER}} .section_title ' => 'text-align: {{VALUE}}!important;',
                ],
			]
		);

        $this->end_controls_section();

    }
    protected function render()
    {
        $settings = $this->get_settings_for_display();
        $allowed_tags = wp_kses_allowed_html('post');
    ?>
    
        <div class="section_title type_one">
            <?php if(!empty($settings['sm_title'])): ?>
                <h4 class="text-brand"> <?php echo wp_kses($settings['sm_title'] , $allowed_tags);  ?></h4>
            <?php endif; ?>
            <?php if(!empty($settings['title'])): ?>
                <div class="title_whole">
                    <?php if($settings['tag_choose'] == 'h1tag'): ?>
                        <h1 class="title"> <?php echo wp_kses($settings['title'] , $allowed_tags);  ?>  </h1>
                    <?php elseif($settings['tag_choose'] == 'h2tag'): ?>
                        <h2 class="title"> <?php echo wp_kses($settings['title'] , $allowed_tags);  ?>  </h2>
         
                    <?php elseif($settings['tag_choose'] == 'h3tag'): ?>
                        <h3 class="title"> <?php echo wp_kses($settings['title'] , $allowed_tags);  ?>  </h3>
                
                    <?php elseif($settings['tag_choose'] == 'h4tag'): ?>
                        <h4 class="title"> <?php echo wp_kses($settings['title'] , $allowed_tags);  ?>  </h4>
                    <?php elseif($settings['tag_choose'] == 'h5tag'): ?>  
                        <h5 class="title"> <?php echo wp_kses($settings['title'] , $allowed_tags);  ?>  </h5>
                    <?php elseif($settings['tag_choose'] == 'h6tag'): ?>  
                        <h6 class="title"> <?php echo wp_kses($settings['title'] , $allowed_tags);  ?>  </h6>
                    <?php else: ?>  
                        <div class="title"> <?php echo wp_kses($settings['title'] , $allowed_tags);  ?>  </div>
                    <?php endif; ?>  

                </div>
            <?php endif; ?>
            <?php if(!empty($settings['description'])): ?>
                <p> <?php echo wp_kses($settings['description'] , $allowed_tags);  ?></p>
            <?php endif; ?>
        </div> 


    <?php
    }
}

 

