<?php

return array(
	'id'     => 'monst-addons_portfolio_settings',
	'title'  => esc_html__( "Portfolio Settings", "monst-addons" ),
	'fields' => array(
		array(
			'id'       => 'port_details_enable',
			'type'     => 'switch', 
			'title'    => __('Portfolio Details Enable', 'monst-addons'),
			'default'  => true,
		), 
		array(
			'id'       => 'port_client',
			'type'     => 'text',
			'title'    =>  esc_html__('Client', 'monst-addons') ,
			'default' =>  esc_html__('Magix box Pvt Ltd', 'monst-addons') ,
			'required' => array( 'port_details_enable', '=', true ),
		),
		array(
			'id'       => 'port_work_type',
			'type'     => 'text',
			'title'    =>  esc_html__('Type', 'monst-addons') ,
			'default' =>  esc_html__('Marketing', 'monst-addons') ,
			'required' => array( 'port_details_enable', '=', true ),
		),
		array(
			'id'       => 'port_Date',
			'type'     => 'text',
			'title'    =>  esc_html__('Date', 'monst-addons') ,
			'default' =>  esc_html__('February 28, 2022', 'monst-addons') ,
			'required' => array( 'port_details_enable', '=', true ),
		),
		array(
			'id'       => 'port_website',
			'type'     => 'text',
			'title'    =>  esc_html__('Website', 'monst-addons') ,
			'default' =>  esc_html__('www.example.com', 'monst-addons') ,
			'required' => array( 'port_details_enable', '=', true ),
		),
 
		 
		// social media
		array(
			'id'       => 'port_member_media_enable',
			'type'     => 'switch', 
			'title'    => __('Share Enable (Social Media)', 'monst-addons'),
			'default'  => true,
			'required' => array( 'port_details_enable', '=', true ),
		), 
		array(
			'id'          => 'port_social_media_text',
			'type'        => 'text',
			'title'    => esc_html__( 'Social Media Icon Text One', 'monst-addons' ),
			'placeholder' => __( 'fab fa-facebook', 'monst-addons' ),
			'default' => __( 'fab fa-facebook', 'monst-addons' ),
			'required' => array( 'port_member_media_enable', '=', true ),
		),
		array(
			'id'          => 'port_social_media_link',
			'type'        => 'text',
			'title'    => esc_html__( 'Social Media Icon Link One', 'monst-addons' ),
			'placeholder' => __( '#', 'monst-addons' ),
			'required' => array( 'port_member_media_enable', '=', true ),
		),
	
		array(
			'id'          => 'port_social_media_text_two',
			'type'        => 'text',
			'title'    => esc_html__( 'Social Media Icon Text Two', 'monst-addons' ),
			'placeholder' => __( 'fab fa-twitter', 'monst-addons' ),
			'default' => __( 'fab fa-twitter', 'monst-addons' ),
			'required' => array( 'port_member_media_enable', '=', true ),
		),
		array(
			'id'          => 'port_social_media_link_two',
			'type'        => 'text',
			'title'    => esc_html__( 'Social Media Icon Link Two', 'monst-addons' ),
			'placeholder' => __( '#', 'monst-addons' ),
			'required' => array( 'port_member_media_enable', '=', true ),
		),
	   
		array(
			'id'          => 'port_social_media_text_three',
			'type'        => 'text',
			'title'    => esc_html__( 'Social Media Icon Text Three', 'monst-addons' ),
			'placeholder' => __( 'fab fa-skype', 'monst-addons' ),
			'default' => __( 'fab fa-skype', 'monst-addons' ),
			'required' => array( 'port_member_media_enable', '=', true ),
		),
		array(
			'id'          => 'port_social_media_link_three',
			'type'        => 'text',
			'title'    => esc_html__( 'Social Media Icon Link Three', 'monst-addons' ),
			'placeholder' => __( '#', 'monst-addons' ),
			'required' => array( 'port_member_media_enable', '=', true ),
		),
	  
		array(
			'id'          => 'port_social_media_text_four',
			'type'        => 'text',
			'title'    => esc_html__( 'Social Media Icon Text Four', 'monst-addons' ),
			'placeholder' => __( 'fab fa-youtube', 'monst-addons' ),
			'default' => __( 'fab fa-youtube', 'monst-addons' ),
			'required' => array( 'port_member_media_enable', '=', true ),
		),
		array(
			'id'          => 'port_social_media_link_four',
			'type'        => 'text',
			'title'    => esc_html__( 'Social Media Icon Link Four', 'monst-addons' ),
			'placeholder' => __( '#', 'monst-addons' ),
			'required' => array( 'port_member_media_enable', '=', true ),
		),
	  
		array(
			'id'          => 'port_social_media_text_five',
			'type'        => 'text',
			'title'    => esc_html__( 'Social Media Icon Text Five', 'monst-addons' ),
			'placeholder' => __( 'fab fa-instagram', 'monst-addons' ),
			'default' => __( 'fab fa-instagram', 'monst-addons' ),
			'required' => array( 'port_member_media_enable', '=', true ),
		),
		array(
			'id'          => 'port_social_media_link_five',
			'type'        => 'text',
			'title'    => esc_html__( 'Social Media Icon Link Five', 'monst-addons' ),
			'placeholder' => __( '#', 'monst-addons' ),
			'required' => array( 'port_member_media_enable', '=', true ),
		),
		 
	),
);

